Amazon Neptune 引擎版本 1.0.2.2 - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.2

截至 2019 年 3 月 20 日,引擎版本 1.0.2.2 正在通常部署。请注意,新版本在每个区域的发布需要几天的时间。

此版本的后续补丁版本

此引擎版本中的改进

  • 已将有关正在回滚的事务的信息添加到状态 API。请参阅实例状态

  • 已将 Apache TinkerPop 的版本升级到 3.4.3。

    版本 3.4.3 向后兼容 Neptune(3.4.1)所支持的以前版本。它确实引入了一个小的行为变化:当您尝试关闭一个不存在的会话时,Gemlin 不再返回错误(请参阅防止在关闭不存在的会话时出现错误)。

  • 消除了执行 Gremlin 全文搜索步骤时的性能瓶颈。

在此引擎版本中修复的缺陷

  • 修复了处理查询中的空图表模式时出现的 SPARQL 错误。

  • 修复了处理 URL 编码的查询中未编码分号时出现的 SPARQL 错误。

  • 修复了处理 Union 步骤中的重复顶点时出现的 Gremlin 错误。

  • 修复了一个 Gremlin 错误,该错误导致一些其 .repeat() 包含 .simplePath().cyclicPath() 的查询返回错误结果。

  • 修复了一个 Gremlin 错误,该错误导致 .project() 在其子遍历未返回解决方案的情况下返回错误结果。

  • 修复了一个 Gremlin 错误,其中读写冲突产生的错误引发了 InternalFailureException 而非 ConcurrentModificationException

  • 修复了一个导致 .group().by(...).by(values("property")) 失败的 Gremlin 错误。

  • 修复了全文搜索步骤的配置文件输出中的 Gremlin 错误。

  • 解决了 Gremlin 会话中的资源泄漏问题。

  • 修复了一个错误,该错误导致状态 API 在某些情况下无法报告正确的可排序版本。

  • 修复了一个批量加载程序错误,该错误导致指向之外 Amazon S3 个位置的 URL 可被用作批量加载请求中的源。

  • 修复了详细加载状态中的一个批量加载程序错误。

此版本支持的查询语言版本

将数据库集群升级到 1.0.2.2 版之前,请确保您的项目与以下查询语言版本兼容:

  • Grelin 版本: 3.4.3

  • SPARQL 版本: 1.1

升级到发动机 1.0.2.2 版的路径

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

如果您集群的 AutoMinorVersionUpgrade 参数已设置为 True,则在维护时段内,您的集群将在此引擎版本发布后的两到三周内自动升级到此引擎版本。

升级到此版本

Amazon Neptune 1.0.2.2 现已上市。

如果数据库群集运行的引擎版本具有此版本的升级路径,则现在有资格进行升级。可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的群集:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier <your-neptune-cluster> \ --engine-version 1.0.2.2 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier <your-neptune-cluster> ^ --engine-version 1.0.2.2 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅,请参阅Neptune 引擎更新. 如果您有任何问题或疑虑,请通过AmazonSupport 团队可通过社区论坛和通过AmazonPremium Support.